/**
 * JMSSOAPClient
 * @Author:  Naveen Balani
 */
 
package naveen.jms;

import java.net.URL;
import org.apache.axis.client.Service;
import org.apache.axis.client.Call;
import org.apache.axis.encoding.XMLType;

import javax.xml.rpc.ParameterMode;
import javax.xml.rpc.namespace.QName;

import org.apache.axis.encoding.ser.BeanDeserializerFactory;import org.apache.axis.encoding.ser.BeanSerializerFactory;public class JMSSOAPClient {

  public JMSSOAPClient() {}            

  public static void main(String args[]) {
	try {

	  //URL for the Price Web Service
	  String endpointURL =
		"http://localhost:80/axis/services/PriceService";

	  // Method Name to invoke for the Price Web Service
	  String methodName = "getPrice";

	  // Create the Service call
	  Service service = new Service();
	  Call call = (Call) service.createCall();
	  call.setTargetEndpointAddress(new java.net.URL(endpointURL));
	  
	  QName qname= new QName("PriceService", methodName);
	  call.setOperationName(qname);
	  call.addParameter("price", XMLType.XSD_STRING,
						ParameterMode.PARAM_MODE_IN);
	  



	  call.setTransport(new JMSMqseriesTransport());
	  call.setReturnType(XMLType.XSD_FLOAT);

	  Object[] params = new Object[] {
		"dollarprice"
	  };

	
	  // Invoke the Price Web Service
	  Float price = (Float) call.invoke(params);
	

	  // Print out the result

	  System.out.println("The Price is $" + price.floatValue());
	} catch (Exception e) {
	  System.err.println(e.toString());
	}
  }                                                          
}